# Functor Graphml.Print

    module Print: functor (G : G) -> functor (L : sigval vertex_properties : (string * string * string option) list
    List of the type of the vertex proprierties.
            The format is (id,type,default).

    val edge_properties : (string * string * string option) list
    List of the type of the edge proprierties.

    val map_vertex : Graphml.G.vertex -> (string * string) list
    Associates to each vertex a key/value list where
            the key is the id of a vertex attribute and the value is the value
            associated to this vertex

    val map_edge : Graphml.G.E.t -> (string * string) list
    Associates to each edge a key/value list

    val vertex_uid : Graphml.G.vertex -> int
    Returns a unique integer identifier for the vertex

    val edge_uid : Graphml.G.E.t -> int
    Returns a unique integer identifier for the edge

    end) -> sig .. end

Graphml Printer given a graph and required info

Parameters:

`G` | : | `G`

`L`

:

`sig val vertex_properties : (string * string * string option) list (** List of the type of the vertex proprierties. The format is (id,type,default). *) val edge_properties : (string * string * string option) list (** List of the type of the edge proprierties. *) val map_vertex : G.vertex -> (string * string) list (** Associates to each vertex a key/value list where the key is the id of a vertex attribute and the value is the value associated to this vertex *) val map_edge : G.E.t -> (string * string) list (** Associates to each edge a key/value list *) val vertex_uid : G.vertex -> int (** @return a unique integer identifier for the vertex *) val edge_uid : G.E.t -> int (** @return a unique integer identifier for the edge *) end`

    val print : Format.formatter -> Graphml.G.t -> unit

`print fmt graph` print the GraphMl representation of the given graph on the given formatter